
Foreman - Bug #9267

overridded parameter names textfield is too short

02/06/2015 04:05 PM - Corey Osman

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Web Interface   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2679

  

Description

When I go to override class parameters in a host group some of my parameter names are over 18 characters long and I am unable

to determine which parameter I need to change.  The max width of the parameter name seems to be 18 characters which should be

increased to 30 or more.   I think the new Use puppet default feature took away a lot of the space.

Additionally there should be a tool tip that shows the entire name if the field needs to be truncated.

I might recommend that you make the override parameter list  a table and allow the user to resize the column width as needed.

Related issues:

Related to Foreman - Tracker #4470: Usability of parameters and overrides New

Associated revisions

Revision 2ea9f117 - 09/21/2015 11:20 AM - Amir Fefer

Fixes #9267 - overridden smart class parameters large names are truncated with tooltip

History

#1 - 02/09/2015 03:50 AM - Dominic Cleal

- Related to Tracker #4470: Usability of parameters and overrides added

#2 - 02/09/2015 03:51 AM - Dominic Cleal

- Category changed from Dashboard to Web Interface

#3 - 09/01/2015 10:33 AM - Amir Fefer

- Status changed from New to Assigned

- Assignee set to Amir Fefer

#4 - 09/07/2015 06:45 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2679 added

- Pull request deleted ()

#5 - 09/21/2015 12:01 PM - Amir Fefer

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2ea9f1177f519e934465bd3ce5b92ddfbc82206b.

#6 - 09/22/2015 02:58 AM - Dominic Cleal

- translation missing: en.field_release set to 63
